import { Component, NgModule } from '@angular/core';
import { IgGridComponent } from "../../src/igniteui.angular2";
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic }	from '@angular/platform-browser-dynamic';


declare var jQuery: any;
@Component({
	selector: 'my-app',
	template: `<div class="row">
					<div class="col-md-8">
						<ig-grid [(options)]="gridOptions" [(dataSource)]="data" [(widgetId)]='id'></ig-grid>
					</div>
					<div class="col-md-4">
						<button class="btn btn-success" (click)="getDataSet2()">Re-populate Data</button>
					</div>
			</div>`
})
export class AppComponent {
	private gridOptions: IgGrid;
	private id: string;
	private data: any = [];
	private clearData: any;

	getDataSet1(): void {
		// dummy call to WebApi
		this.data = [
			{"Id":"1", "Date":"\/Date(1250809200000)\/"},
			{"Id":"2", "Date":"\/Date(1335394800000)\/"},
			{"Id":"3", "Date":"\/Date(1235088000000)\/"}
		];	
	}

	getDataSet2(): void {
		// dummy call to WebApi
		this.data = [
			{"Id":"4", "Date":"\/Date(1235088000000)\/"},
			{"Id":"5", "Date":"\/Date(1250809200000)\/"},
			{"Id":"6", "Date":"\/Date(1335394800000)\/"}
		];	
	}

	constructor() {
		this.getDataSet1();
		
		this.id ='grid1';

		this.gridOptions = {
            width: "100%",
            height: "400px",
            autoCommit: true,
            autoGenerateColumns: false,
            columns: [
                { key: "Id", headerText: "ID", width: "20%", dataType: "string" },
                { key: "Date", headerText: "Date", dataType: "date", width: "80%", format: "dd/MM/yyyy" },
            ],
            primaryKey: "Id",
            features: [
                {
                    name: "Filtering",
                    type: "local",
                    mode: "simple",
                    filterDialogContainment: "window"
                }
            ]
        };
	}
}

@NgModule({
	imports:	  [ BrowserModule, FormsModule ],
	declarations: [ AppComponent, IgGridComponent ],
	bootstrap:	[ AppComponent ]
})
export class AppModule {}

platformBrowserDynamic().bootstrapModule(AppModule);